package dev.shadowsoffire.apotheosis.adventure.affix.reforging;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.mojang.blaze3d.vertex.PoseStack;
import com.mojang.blaze3d.vertex.Tesselator;
import com.mojang.math.Axis;
import dev.shadowsoffire.apotheosis.adventure.affix.reforging.ReforgingTableTile;
import net.minecraft.client.Minecraft;
import net.minecraft.client.renderer.ItemBlockRenderTypes;
import net.minecraft.client.renderer.MultiBufferSource;
import net.minecraft.client.renderer.blockentity.BlockEntityRenderer;
import net.minecraft.client.renderer.entity.ItemRenderer;
import net.minecraft.client.resources.model.BakedModel;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.util.Mth;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.level.block.entity.BlockEntity;

public class ReforgingTableTileRenderer implements BlockEntityRenderer<ReforgingTableTile> {
  public static final ResourceLocation HAMMER = new ResourceLocation("apotheosis", "item/hammer");
  
  public void render(ReforgingTableTile tile, float partials, PoseStack matrix, MultiBufferSource pBufferSource, int light, int overlay) {
    ItemRenderer irenderer = Minecraft.m_91087_().m_91291_();
    BakedModel base = irenderer.m_115103_().m_109393_().getModel(HAMMER);
    matrix.m_85836_();
    double px = 0.0625D;
    matrix.m_85841_(1.25F, 1.25F, 1.25F);
    matrix.m_85837_(8.5D * px / 1.25D, 16.0D * px / 1.25D - 0.015D, 7.0D * px / 1.25D);
    matrix.m_252781_(Axis.f_252436_.m_252977_(45.0F));
    matrix.m_252781_(Axis.f_252529_.m_252977_(90.0F));
    if (tile.step1) {
      float factor = (tile.time % 60) + partials;
      float sin = Mth.m_14031_(factor * 3.1415927F / 120.0F);
      float sinSq = sin * sin;
      matrix.m_85837_(0.125D * sinSq, 0.0D, -0.15D * sinSq);
      matrix.m_252781_(Axis.f_252392_.m_252977_(45.0F * sinSq));
    } else {
      float factor = (tile.time % 5) + partials;
      float sin = Mth.m_14031_(1.5707964F + factor * 3.1415927F / 10.0F);
      float sinSq = sin * sin;
      matrix.m_85837_(0.125D * sinSq, 0.0D, -0.15D * sinSq);
      matrix.m_252781_(Axis.f_252392_.m_252977_(45.0F * sinSq));
    } 
    MultiBufferSource.BufferSource src = MultiBufferSource.m_109898_(Tesselator.m_85913_().m_85915_());
    irenderer.m_115189_(base, ItemStack.f_41583_, light, overlay, matrix, ItemRenderer.m_115222_((MultiBufferSource)src, ItemBlockRenderTypes.m_109284_(tile.m_58900_(), true), true, false));
    src.m_109911_();
    matrix.m_85849_();
  }
}
